/**
 * Description: CmCreditGoods页面表单对象
 * Copyright:   Copyright (c)2015
 * Company:     江苏三六五网络股份有限公司
 * @author:     江苏三六五网络股份有限公司
 * @version:    1.0
 * Create at:   2015-08-10 下午 17:06:09
 *  
 * Modification History:
 * Date         Author      Version     Description
 * ------------------------------------------------------------------
 * 2015-08-10   江苏三六五网络股份有限公司   1.0         Initial
 */
package com.house365.beans.vo;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

import com.house365.beans.entity.CmAddGoodsEntity;
import com.house365.beans.entity.CmCreditGoodsEntity;
import com.house365.beans.entity.CmExchangeCodeEntity;

/**
 * CmCreditGoods页面表单对象<br>
 * 
 * @author 江苏三六五网络股份有限公司
 * @version 1.0, 2015-08-10
 * @see
 * @since 1.0
 */
public class CmCreditGoodsVo{
	/**
	 * CmCreditGoods实体
	 */
    @NotNull
    @Valid
	private CmCreditGoodsEntity entity;
    private CmExchangeCodeEntity exchangeCodeEntity;
    private CmAddGoodsEntity addGoodsEntity;
    
	/**
	 * 设置CmCreditGoods实体
	 * @param entity CmCreditGoods实体
	 */
	public void setEntity(CmCreditGoodsEntity entity) {
		this.entity = entity;
	}

	/**
	 * 获取CmCreditGoods实体
	 * @return CmCreditGoods实体
	 */
	public CmCreditGoodsEntity getEntity() {
		return this.entity;
	}

	public CmExchangeCodeEntity getExchangeCodeEntity() {
		return exchangeCodeEntity;
	}

	public void setExchangeCodeEntity(CmExchangeCodeEntity exchangeCodeEntity) {
		this.exchangeCodeEntity = exchangeCodeEntity;
	}

	public CmAddGoodsEntity getAddGoodsEntity() {
		return addGoodsEntity;
	}

	public void setAddGoodsEntity(CmAddGoodsEntity addGoodsEntity) {
		this.addGoodsEntity = addGoodsEntity;
	}

	
}